'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var styled = require('styled-components');
var styled__default = _interopDefault(styled);
var MuiTableCell = _interopDefault(require('@material-ui/core/TableCell'));
var TableRow = _interopDefault(require('@material-ui/core/TableRow'));
var MuiTablePagination = _interopDefault(require('@material-ui/core/TablePagination'));
var core = require('@material-ui/core');
var styles = require('@material-ui/core/styles');
var colorManipulator = require('@material-ui/core/styles/colorManipulator');
var FilterListIcon = _interopDefault(require('@material-ui/icons/FilterList'));
var Paper = _interopDefault(require('@material-ui/core/Paper'));
var Table = _interopDefault(require('@material-ui/core/Table'));
var ReactTable = _interopDefault(require('react-table'));
var Modal = _interopDefault(require('@material-ui/core/Modal'));
var MuiTextField = _interopDefault(require('@material-ui/core/TextField'));
var formik = require('formik');
require('@material-ui/core/Grid');
var AppBar = _interopDefault(require('@material-ui/core/AppBar'));
var Toolbar = _interopDefault(require('@material-ui/core/Toolbar'));
var IconButton = _interopDefault(require('@material-ui/core/IconButton'));
var Menu = _interopDefault(require('@material-ui/core/Menu'));
var MenuIcon = _interopDefault(require('@material-ui/icons/Menu'));

class ButtonBase extends React.PureComponent {
    render() {
        return (React.createElement(StyledButtonBase, { className: this.props.className, onClick: this.props.onClick, style: this.props.style }, this.props.children));
    }
}
const StyledButtonBase = styled__default.button `
  border: inherit;
  cursor: pointer;
  outline: inherit;
`;

class RegularButton extends React.PureComponent {
    render() {
        return (React.createElement(StyledRegularButton, Object.assign({}, this.props), this.props.children));
    }
}
const ripple = styled.keyframes `
  0% {
    transform: scale(0, 0);
    opacity: 1;
  }
  20% {
    transform: scale(25, 25);
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: scale(40, 40);
  }
`;
const StyledRegularButton = styled__default(ButtonBase) `
  && {
    color: white;
    background-color: tomato;
    font-size: 1em;
    padding: 10px 40px;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 2px 2px 5px rgb(0, 0, 0, 0.5);
    position: relative;
    overflow: hidden;
  }
  &:after {
    border: none;
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 5px;
    height: 5px;
    background: rgba(255, 255, 255, 0.5);
    opacity: 0;
    border-radius: 100%;
    transform: scale(1, 1) translate(-50%);
    transform-origin: 50% 50%;
  }

  &:focus:not(:active)::after {
    border: none;
    content: "";
    animation: ${ripple} 1s ease-out;
  }
`;

class ButtonOutline extends React.PureComponent {
    render() {
        return (React.createElement(StyledOutlineButton, Object.assign({}, this.props), this.props.children));
    }
}
const ripple$1 = styled.keyframes `
  0% {
    transform: scale(0, 0);
    opacity: 1;
  }
  20% {
    transform: scale(25, 25);
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: scale(40, 40);
  }
`;
const StyledOutlineButton = styled__default(ButtonBase) `
  color: white;
  border: 1px solid white;
  background-color: rgba(0,0,0,0);
  font-size: 1em;
  padding: 10px 40px;
  border-radius: 5px;
  cursor: pointer;
  box-shadow: 2px 2px 5px rgb(0, 0, 0, 0.5);
  position: relative;
  overflow: hidden;

  &:after {
    border: none;
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 5px;
    height: 5px;
    background: rgba(255, 255, 255, 0.5);
    opacity: 0;
    border-radius: 100%;
    transform: scale(1, 1) translate(-50%);
    transform-origin: 50% 50%;
  }

  &:focus:not(:active)::after {
    border: none;
    content: "";
    animation: ${ripple$1} 1s ease-out;
  }
`;

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = ".ReactTable{position:relative;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;border:1px solid rgba(0,0,0,0.1);}.ReactTable *{box-sizing:border-box}.ReactTable .rt-table{-webkit-box-flex:1;-ms-flex:auto 1;flex:auto 1;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:stretch;-ms-flex-align:stretch;align-items:stretch;width:100%;border-collapse:collapse;overflow:auto}.ReactTable .rt-thead{-webkit-box-flex:1;-ms-flex:1 0 auto;flex:1 0 auto;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;}.ReactTable .rt-thead.-headerGroups{background:rgba(0,0,0,0.03);border-bottom:1px solid rgba(0,0,0,0.05)}.ReactTable .rt-thead.-filters{border-bottom:1px solid rgba(0,0,0,0.05);}.ReactTable .rt-thead.-filters input,.ReactTable .rt-thead.-filters select{border:1px solid rgba(0,0,0,0.1);background:#fff;padding:5px 7px;font-size:inherit;border-radius:3px;font-weight:normal;outline:none}.ReactTable .rt-thead.-filters .rt-th{border-right:1px solid rgba(0,0,0,0.02)}.ReactTable .rt-thead.-header{box-shadow:0 2px 15px 0 rgba(0,0,0,0.15)}.ReactTable .rt-thead .rt-tr{text-align:center}.ReactTable .rt-thead .rt-th,.ReactTable .rt-thead .rt-td{padding:5px 5px;line-height:normal;position:relative;border-right:1px solid rgba(0,0,0,0.05);transition:box-shadow .3s cubic-bezier(.175,.885,.32,1.275);box-shadow:inset 0 0 0 0 transparent;}.ReactTable .rt-thead .rt-th.-sort-asc,.ReactTable .rt-thead .rt-td.-sort-asc{box-shadow:inset 0 3px 0 0 rgba(0,0,0,0.6)}.ReactTable .rt-thead .rt-th.-sort-desc,.ReactTable .rt-thead .rt-td.-sort-desc{box-shadow:inset 0 -3px 0 0 rgba(0,0,0,0.6)}.ReactTable .rt-thead .rt-th.-cursor-pointer,.ReactTable .rt-thead .rt-td.-cursor-pointer{cursor:pointer}.ReactTable .rt-thead .rt-th:last-child,.ReactTable .rt-thead .rt-td:last-child{border-right:0}.ReactTable .rt-thead .rt-resizable-header{overflow:visible;}.ReactTable .rt-thead .rt-resizable-header:last-child{overflow:hidden}.ReactTable .rt-thead .rt-resizable-header-content{overflow:hidden;text-overflow:ellipsis}.ReactTable .rt-thead .rt-header-pivot{border-right-color:#f7f7f7}.ReactTable .rt-thead .rt-header-pivot:after,.ReactTable .rt-thead .rt-header-pivot:before{left:100%;top:50%;border:solid transparent;content:\" \";height:0;width:0;position:absolute;pointer-events:none}.ReactTable .rt-thead .rt-header-pivot:after{border-color:rgba(255,255,255,0);border-left-color:#fff;border-width:8px;margin-top:-8px}.ReactTable .rt-thead .rt-header-pivot:before{border-color:rgba(102,102,102,0);border-left-color:#f7f7f7;border-width:10px;margin-top:-10px}.ReactTable .rt-tbody{-webkit-box-flex:99999;-ms-flex:99999 1 auto;flex:99999 1 auto;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;overflow:auto;}.ReactTable .rt-tbody .rt-tr-group{border-bottom:solid 1px rgba(0,0,0,0.05);}.ReactTable .rt-tbody .rt-tr-group:last-child{border-bottom:0}.ReactTable .rt-tbody .rt-td{border-right:1px solid rgba(0,0,0,0.02);}.ReactTable .rt-tbody .rt-td:last-child{border-right:0}.ReactTable .rt-tbody .rt-expandable{cursor:pointer;text-overflow:clip}.ReactTable .rt-tr-group{-webkit-box-flex:1;-ms-flex:1 0 auto;flex:1 0 auto;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:stretch;-ms-flex-align:stretch;align-items:stretch}.ReactTable .rt-tr{-webkit-box-flex:1;-ms-flex:1 0 auto;flex:1 0 auto;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}.ReactTable .rt-th,.ReactTable .rt-td{-webkit-box-flex:1;-ms-flex:1 0 0px;flex:1 0 0;white-space:nowrap;text-overflow:ellipsis;padding:7px 5px;overflow:hidden;transition:.3s ease;transition-property:width,min-width,padding,opacity;}.ReactTable .rt-th.-hidden,.ReactTable .rt-td.-hidden{width:0 !important;min-width:0 !important;padding:0 !important;border:0 !important;opacity:0 !important}.ReactTable .rt-expander{display:inline-block;position:relative;margin:0;color:transparent;margin:0 10px;}.ReactTable .rt-expander:after{content:'';position:absolute;width:0;height:0;top:50%;left:50%;-webkit-transform:translate(-50%,-50%) rotate(-90deg);transform:translate(-50%,-50%) rotate(-90deg);border-left:5.04px solid transparent;border-right:5.04px solid transparent;border-top:7px solid rgba(0,0,0,0.8);transition:all .3s cubic-bezier(.175,.885,.32,1.275);cursor:pointer}.ReactTable .rt-expander.-open:after{-webkit-transform:translate(-50%,-50%) rotate(0);transform:translate(-50%,-50%) rotate(0)}.ReactTable .rt-resizer{display:inline-block;position:absolute;width:36px;top:0;bottom:0;right:-18px;cursor:col-resize;z-index:10}.ReactTable .rt-tfoot{-webkit-box-flex:1;-ms-flex:1 0 auto;flex:1 0 auto;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;box-shadow:0 0 15px 0 rgba(0,0,0,0.15);}.ReactTable .rt-tfoot .rt-td{border-right:1px solid rgba(0,0,0,0.05);}.ReactTable .rt-tfoot .rt-td:last-child{border-right:0}.ReactTable.-striped .rt-tr.-odd{background:rgba(0,0,0,0.03)}.ReactTable.-highlight .rt-tbody .rt-tr:not(.-padRow):hover{background:rgba(0,0,0,0.05)}.ReactTable .-pagination{z-index:1;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:stretch;-ms-flex-align:stretch;align-items:stretch;-ms-flex-wrap:wrap;flex-wrap:wrap;padding:3px;box-shadow:0 0 15px 0 rgba(0,0,0,0.1);border-top:2px solid rgba(0,0,0,0.1);}.ReactTable .-pagination input,.ReactTable .-pagination select{border:1px solid rgba(0,0,0,0.1);background:#fff;padding:5px 7px;font-size:inherit;border-radius:3px;font-weight:normal;outline:none}.ReactTable .-pagination .-btn{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:block;width:100%;height:100%;border:0;border-radius:3px;padding:6px;font-size:1em;color:rgba(0,0,0,0.6);background:rgba(0,0,0,0.1);transition:all .1s ease;cursor:pointer;outline:none;}.ReactTable .-pagination .-btn[disabled]{opacity:.5;cursor:default}.ReactTable .-pagination .-btn:not([disabled]):hover{background:rgba(0,0,0,0.3);color:#fff}.ReactTable .-pagination .-previous,.ReactTable .-pagination .-next{-webkit-box-flex:1;-ms-flex:1;flex:1;text-align:center}.ReactTable .-pagination .-center{-webkit-box-flex:1.5;-ms-flex:1.5;flex:1.5;text-align:center;margin-bottom:0;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-ms-flex-pack:distribute;justify-content:space-around}.ReactTable .-pagination .-pageInfo{display:inline-block;margin:3px 10px;white-space:nowrap}.ReactTable .-pagination .-pageJump{display:inline-block;}.ReactTable .-pagination .-pageJump input{width:70px;text-align:center}.ReactTable .-pagination .-pageSizeOptions{margin:3px 10px}.ReactTable .rt-noData{display:block;position:absolute;left:50%;top:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);background:rgba(255,255,255,0.8);transition:all .3s ease;z-index:1;pointer-events:none;padding:20px;color:rgba(0,0,0,0.5)}.ReactTable .-loading{display:block;position:absolute;left:0;right:0;top:0;bottom:0;background:rgba(255,255,255,0.8);transition:all .3s ease;z-index:-1;opacity:0;pointer-events:none;}.ReactTable .-loading > div{position:absolute;display:block;text-align:center;width:100%;top:50%;left:0;font-size:15px;color:rgba(0,0,0,0.6);-webkit-transform:translateY(-52%);transform:translateY(-52%);transition:all .3s cubic-bezier(.25,.46,.45,.94)}.ReactTable .-loading.-active{opacity:1;z-index:2;pointer-events:all;}.ReactTable .-loading.-active > div{-webkit-transform:translateY(50%);transform:translateY(50%)}.ReactTable .rt-resizing .rt-th,.ReactTable .rt-resizing .rt-td{transition:none !important;cursor:col-resize;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}";
styleInject(css);

const TableCell = ({ children }) => {
    return (React.createElement(TableRow, null,
        React.createElement(MuiTableCell, { style: { borderBottomWidth: 0 } }, children)));
};

class TablePagination extends React.Component {
    constructor(props) {
        super(props);
        this.changePage = this.changePage.bind(this);
        this.changeRowsPerPageHandler = this.changeRowsPerPageHandler.bind(this);
    }
    componentDidUpdate() {
        console.log("pagination props", this.props);
    }
    changePage(_event, page) {
        console.log(this.props);
        this.props.onPageChange(page);
    }
    changeRowsPerPageHandler(event) {
        console.log(this.props);
        this.props.onPageSizeChange(Number(event.target.value), this.props.page);
    }
    render() {
        return (React.createElement(MuiTablePagination, { rowsPerPageOptions: this.props.pageSizeOptions, 
            // component="div"
            count: this.props.data.length, rowsPerPage: this.props.pageSize, page: this.props.page, backIconButtonProps: {
                "aria-label": "Previous Page",
            }, nextIconButtonProps: {
                "aria-label": "Next Page",
            }, onChangePage: this.changePage, onChangeRowsPerPage: this.changeRowsPerPageHandler }));
    }
}

const toolbarStyles = (theme) => styles.createStyles({
    root: {
        paddingRight: theme.spacing.unit
    },
    highlight: theme.palette.type === "light"
        ? {
            color: theme.palette.secondary.main,
            backgroundColor: colorManipulator.lighten(theme.palette.secondary.light, 0.85)
        }
        : {
            color: theme.palette.text.primary,
            backgroundColor: theme.palette.secondary.dark
        },
    spacer: {
        flex: "1 1 100%"
    },
    actions: {
        color: theme.palette.text.secondary
    },
    title: {
        flex: "0 0 auto"
    }
});
const TableToolbar = ({ classes, tableName }) => {
    return (React.createElement(core.Toolbar, { className: classes.root },
        React.createElement("div", { className: classes.title },
            React.createElement(core.Typography, { variant: "h6", id: "tableTitle" }, tableName)),
        React.createElement("div", { className: classes.spacer }),
        React.createElement("div", { className: classes.actions },
            React.createElement(core.Tooltip, { title: "Filter list" },
                React.createElement(core.IconButton, { "aria-label": "Filter list" },
                    React.createElement(FilterListIcon, null))))));
};
var TableToolbar$1 = styles.withStyles(toolbarStyles)(TableToolbar);

const TableHeaderCell = ({ children }) => {
    return (React.createElement(TableRow, null,
        React.createElement(MuiTableCell, { component: "th", scope: "row", style: { borderBottomWidth: 0 } }, children)));
};

const makeColumns = (columnData) => {
    console.log(columnData);
    let columns = [];
    columnData.forEach(data => {
        columns.push({
            Header: React.createElement(TableHeaderCell, null, data.name),
            accessor: data.key,
            Cell: (row) => React.createElement(TableCell, null, row.value)
        });
    });
    return columns;
};

const styles$1 = (theme) => styles.createStyles({
    root: {
        width: "100%",
        marginTop: theme.spacing.unit * 3,
        overflowX: "auto"
    },
    table: {
        minWidth: 700
    }
});
const SimpleTable = ({ classes, tableTitle, data, columnData }) => {
    return (React.createElement(Paper, { className: classes.root },
        React.createElement(Table, { className: classes.table },
            React.createElement(ReactTable, { data: data, PadRowComponent: () => React.createElement(TableCell, null), columns: [
                    {
                        Header: React.createElement(TableToolbar$1, { tableName: tableTitle }),
                        columns: makeColumns(columnData)
                    }
                ], PaginationComponent: TablePagination, defaultPageSize: 10, className: "-striped -highlight" }))));
};
var SimpleTable$1 = styles.withStyles(styles$1)(SimpleTable);

const styles$2 = (theme) => styles.createStyles({
    root: {
        width: "100%",
        marginTop: theme.spacing.unit * 3,
        overflowX: "auto"
    },
    table: {
        minWidth: 700
    },
    paper: {
        position: "absolute",
        width: theme.spacing.unit * 50,
        backgroundColor: theme.palette.background.paper,
        boxShadow: theme.shadows[5],
        padding: theme.spacing.unit * 4
    }
});
const TableWithModal = ({ classes, columnData, tableTitle, data, children }) => {
    const [open, setOpen] = React.useState(false);
    const [modalInfo, setModalinfo] = React.useState({});
    const handleOpen = () => {
        setOpen(true);
    };
    const handleClose = () => {
        setOpen(false);
    };
    return (React.createElement(Paper, { className: classes.root },
        React.createElement(Table, { className: classes.table },
            React.createElement(ReactTable, { data: data, PadRowComponent: () => React.createElement(TableCell, null), columns: [
                    {
                        Header: React.createElement(TableToolbar$1, { tableName: tableTitle }),
                        columns: makeColumns(columnData)
                    }
                ], PaginationComponent: TablePagination, defaultPageSize: 10, className: "-striped -highlight", getTdProps: (_state, _rowInfo) => {
                    return {
                        onClick: (_e, _handleOriginal) => {
                            setModalinfo({ data: _rowInfo.original });
                            handleOpen();
                            if (_handleOriginal) {
                                _handleOriginal();
                            }
                        }
                    };
                } })),
        React.createElement(Modal, { "aria-labelledby": "simple-modal-title", "aria-describedby": "simple-modal-description", open: open, onClose: handleClose }, children({
            clickedData: modalInfo,
            handleOpen,
            handleClose,
            modalStyle: {
                position: "absolute",
                top: "50%",
                left: "50%",
                transform: `translate(-50%, -50%)`,
                maxWidth: "80%",
                padding: 16,
                wordWrap: "normal"
            }
        }))));
};
var TableWithModal$1 = styles.withStyles(styles$2)(TableWithModal);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
}

const fieldToTextField = (_a) => {
    var { field, form, disabled = false } = _a, props = __rest(_a, ["field", "form", "disabled"]);
    const { name } = field;
    const { touched, errors, isSubmitting } = form;
    const fieldError = formik.getIn(errors, name);
    const showError = formik.getIn(touched, name) && !!fieldError;
    return Object.assign({}, props, field, { error: showError, helperText: showError ? fieldError : props.helperText, disabled: isSubmitting || disabled });
};
const TextInputField = (props) => (React.createElement(MuiTextField, Object.assign({}, fieldToTextField(props), { style: { width: "100%" }, margin: "normal" })));
TextInputField.displayName = "FormikMaterialUITextField";

const MobileNavbar = (props) => {
    return (React.createElement("div", { style: { position: "sticky", top: 0, zIndex: 5 } },
        React.createElement(AppBar, { position: "sticky", style: Object.assign({ backgroundColor: "white", fontFamily: "Roboto" }, props.style) },
            React.createElement(Toolbar, { variant: "regular", style: {
                    paddingLeft: "10%",
                    paddingRight: "10%"
                } },
                React.createElement(core.MenuItem, { color: "inherit", "aria-label": "Menu", onClick: props.logo.onClick },
                    React.createElement("img", { src: props.logo.src, style: { width: 100, height: "auto" } })),
                React.createElement("div", { style: { flexGrow: 1 } }),
                props.children))));
};

const MobileNavbar$1 = (props) => {
    const [anchorEl, setAnchorEl] = React.useState(null);
    const open = Boolean(anchorEl);
    const handleMenu = (event) => {
        setAnchorEl(event.currentTarget);
    };
    const handleClose = () => {
        setAnchorEl(undefined);
    };
    return (React.createElement("div", null,
        React.createElement(AppBar, { position: "static", style: Object.assign({ backgroundColor: "white", fontFamily: "Roboto" }, props.style) },
            React.createElement(Toolbar, null,
                React.createElement(core.MenuItem, { color: "inherit", "aria-label": "Menu", onClick: props.logo.onClick },
                    React.createElement("img", { src: props.logo.src, style: { width: 80, height: "auto" } })),
                React.createElement("div", { style: { flexGrow: 1 } }),
                React.createElement("div", null,
                    React.createElement(IconButton, { color: "inherit", onClick: handleMenu, "aria-label": "Menu", style: { color: "black" } },
                        React.createElement(MenuIcon, null)),
                    React.createElement(Menu, { id: "menu-appbar", anchorEl: anchorEl, anchorOrigin: { vertical: "top", horizontal: "right" }, transformOrigin: { vertical: "top", horizontal: "right" }, open: open, onClose: handleClose }, props.children))))));
};

const Navbar = ({ width, logo, navbarStyle, children }) => {
    const NavComponent = width === "xs" || width === "sm" ? MobileNavbar$1 : MobileNavbar;
    return (React.createElement(NavComponent, { logo: logo, style: navbarStyle }, children));
};
var index = core.withWidth()(Navbar);

exports.ButtonOutline = ButtonOutline;
exports.RegularButton = RegularButton;
exports.SimpleTable = SimpleTable$1;
exports.TableWithModal = TableWithModal$1;
exports.Navbar = index;
exports.TextInputField = TextInputField;
